@use 'global.scss';
@use 'mixins.scss';
@use 'page.scss';

.header {
  margin-bottom: 2rem;
  
  &__title {
    @include mixins.heading-1();
  }
}

.main {
  &__title {
    margin-bottom: 2rem;
    @include mixins.heading-2();
  }

  &__wrapper {
    display: flex;
    flex-direction: column;
    gap: 4rem;

    @include mixins.laptop() {
      flex-direction: row;
    }
  }

  &__text-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }

  &__map {
    width: 100%;
    height: 80vw;
    border-radius: .5rem;
    z-index: 0;
    @include mixins.glowing(white);

    @include mixins.laptop() {
      width: 40rem;
      height: 50vh;
    }
  }
}